#!/bin/sh
#INSTALL SCRIPT by D_SKYWALK





#FUNCTIONS
function credits () {

    echo " ";
    echo "GP2X IDE-TEMPLATES INSTALL SCRIPT"
    echo "by D_Skywalk v1.a (cc) 2006 - GP2X Scene"

}

function info(){

    echo " "
    echo "Usage: $1 kdevelop [--path=<your-path>]"
    echo " default path: /usr"
    credits

}

function kdevelop( ) {
    INSTALLPATH=$1
    echo " "
    echo "Installing Kdevelop Template for GP2X..."
    echo " :: Using $INSTALLPATH as install path :: "

    if(! test -s "$INSTALLPATH/share/apps/kdevappwizard/templates/chellogba.kdevtemplate" ) then 
	echo "ERROR: Please Install KDevelop 3.x.x or above";
	echo " - Trying to find: $INSTALLPATH/share/apps/kdevappwizard/templates/..."
	credits
	exit 1
    fi

    if(! test -w "$INSTALLPATH/share/apps/kdevappwizard/templates/chellogba.kdevtemplate" ) then 
	echo "ERROR: You need be root for install";
	credits
	exit 1
    fi

    # csdlhellogp2x.png a "/usr/share/apps/kdevappwizard/"
    cp kdevelop/files/csdlhellogp2x.png $INSTALLPATH/share/apps/kdevappwizard/

    # csdlhellogp2x.kdevtemplate a "/usr/share/apps/kdevappwizard/templates"
    cp kdevelop/files/csdlhellogp2x.kdevtemplate $INSTALLPATH/share/apps/kdevappwizard/templates

    # csdlhellogp2x.tar.gz a "/usr/share/apps/kdevappwizard/"
    cp kdevelop/files/csdlhellogp2x.tar.gz $INSTALLPATH/share/apps/kdevappwizard/

    # c.appwizard a "/usr/share/apps/kdevelop3/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CIDE"
    cp $INSTALLPATH/share/apps/kdevelop3/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CIDE/c.appwizard $INSTALLPATH/share/apps/kdevelop3/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CIDE/c.appwizard.bak
    cp kdevelop/files/c.appwizard $INSTALLPATH/share/apps/kdevelop3/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CIDE

    echo "Yeah!! Installation Success!!!"
    credits
}


#INIT

if [ "$#" = "0" ]
 then
    info $0
    exit 1
fi

if [ "$1" = "kdevelop" ]
 then
    if [ -n "`echo "$2" | grep "^--path="`" ]; then
	KDEPATH=`echo "$2" |cut -d= -f2 `
    else
	KDEPATH="/usr"
    fi
    kdevelop $KDEPATH
fi
